# DataExchange
TKXSBase
TransferBRep

# TransferBRep_BinderOfShape Class Reference

`#include <TransferBRep_BinderOfShape.hxx>`

Inheritance diagram for TransferBRep_BinderOfShape:

[legend]

## Public Member Functions

Standard_EXPORT | TransferBRep_BinderOfShape ()
Standard_EXPORT | TransferBRep_BinderOfShape (const TopoDS_Shape &res)
Standard_EXPORT Handle_Standard_Type | ResultType () const
| Returns the Type which characterizes the Result (if known) .
Standard_EXPORT Standard_CString | ResultTypeName () const
| Returns the Name of the Type which characterizes the Result Can be returned even if ResultType itself is unknown .
Standard_EXPORT void | SetResult (const TopoDS_Shape &res)
Standard_EXPORT const TopoDS_Shape & | Result () const
Standard_EXPORT TopoDS_Shape & | CResult ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TopoDS_Shape | theres

## Constructor & Destructor Documentation

Standard_EXPORT TransferBRep_BinderOfShape::TransferBRep_BinderOfShape | ( |  | ) |

Standard_EXPORT TransferBRep_BinderOfShape::TransferBRep_BinderOfShape | ( | const TopoDS_Shape & | res | ) |

## Member Function Documentation

Standard_EXPORT TopoDS_Shape& TransferBRep_BinderOfShape::CResult | ( |  | ) |

Standard_EXPORT const TransferBRep_BinderOfShape::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Transfer_Binder. Reimplemented in TransferBRep_ShapeBinder.

Standard_EXPORT const TopoDS_Shape& TransferBRep_BinderOfShape::Result | ( |  | ) | const

Standard_EXPORT Handle_Standard_Type TransferBRep_BinderOfShape::ResultType | ( |  | ) | const`[virtual]`

| Implements Transfer_Binder.

Standard_EXPORT Standard_CString TransferBRep_BinderOfShape::ResultTypeName | ( |  | ) | const`[virtual]`

| Implements Transfer_Binder.

Standard_EXPORT void TransferBRep_BinderOfShape::SetResult | ( | const TopoDS_Shape & | res | ) |

## Field Documentation

TopoDS_Shape TransferBRep_BinderOfShape::theres `[private]`

The documentation for this class was generated from the following file:

- TransferBRep_BinderOfShape.hxx